> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List purgatories

> List purgatories

### Query parameters

<ParamField query="channel_id" type="string" />

<ParamField query="is_posted" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="PurgatoryListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/purgatory/orders' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "orders": [
      {
        "external_order_id": "string",
        "external_status": null,
        "id": "string",
        "is_posted": true,
        "items": [],
        "ready_to_post": true,
        "unresolved_count": 1
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
